package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo09
 * @description 使用嵌套 for 循环打印一个 5 行的菱形星号图案（上下对称，第 3 行最多）。
 * @create 2026/7/9
 */
public class Demo09 {
    public static void main(String[] args) {
        for (int i = 1; i <=5; i++) {
            for (int j = 1; j <=5; j++) {
                if (i==1||i==5){
                    if (j==3){
                        System.out.print("*");
                    }else {
                        System.out.print(" ");
                    }
                }else if (i==2||i==4){
                    if (j==1||j==5){
                        System.out.print(" ");
                    }else {
                        System.out.print("*");
                    }
                }else {
                    System.out.print("*");
                }
            }
            System.out.println();

        }
    }
}
